summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rwxr-xr-x[-rw-r--r--]PKGBUILD61
1 files changed, 25 insertions, 36 deletions
diff --git a/PKGBUILD b/PKGBUILD
index e21883bdc2f..b4fa6e41fe5 100644..100755
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,44 +1,33 @@
-# Maintainer: Brian Bidulock <bidulock@openss7.org>
# Contributor: David Scholl <djscholl@gmail.com>
-
pkgname=vtwm
pkgver=5.4.7
-pkgrel=6
-pkgdesc="A lightweight, customizable window manager with a virtual desktop"
+pkgrel=5
+pkgdesc="A lightweght, customizable window manager with a virtual desktop"
arch=('i686' 'x86_64')
url="http://www.vtwm.org"
-license=('MIT')
-depends=('libxpm' 'libxmu' 'flex' 'rplay')
-makedepends=('imake')
-backup=('usr/share/X11/vtwm/system.vtwmrc')
-source=("http://www.vtwm.org/downloads/${pkgname}-${pkgver}.tar.gz"
- "vtwm.desktop")
-md5sums=('707f8d93b19b46fb3d036053be66288b'
- '7b4fcabdd4cf2b3a03683c37cb0fa82b')
-
-prepare() {
- cd "${srcdir}/${pkgname}-${pkgver}"
- (
- head -n 26 add_window.c
- head -n 20 applets.c
- head -n 18 desktop.c
- head -n 22 sound.c
- cat contrib/nexpm/xpm.COPYRIGHT
-
- ) >COPYRIGHT
-}
+license=('custom')
+depends=('libxpm' 'libxmu' 'm4')
+makedepends=('imake' 'bison' 'flex')
+backup=('etc/X11/vtwm/system.vtwmrc')
+options=('!makeflags')
+source=(http://www.vtwm.org/downloads/$pkgname-$pkgver.tar.gz)
+md5sums=('707f8d93b19b46fb3d036053be66288b')
build() {
- cd "${srcdir}/${pkgname}-${pkgver}"
- xmkmf
- make CFLAGS="$CFLAGS" \
- LDOPTIONS="$LDFLAGS" \
- VTWMLIBDIR=/usr/share/X11/vtwm
-}
-
-package() {
- cd "${srcdir}/${pkgname}-${pkgver}"
- make VTWMLIBDIR=/usr/share/X11/vtwm DESTDIR="${pkgdir}" install
- install -Dm0644 COPYRIGHT "${pkgdir}/usr/share/licenses/${pkgname}/COPYRIGHT"
- install -Dm0644 ../vtwm.desktop "${pkgdir}/usr/share/xsessions/vtwm.desktop"
+ cd $startdir/src/$pkgname-$pkgver
+ sed -i '/^XCOMM NO_SOUND_SUPPORT/s/^XCOMM//' Imakefile || return 1
+ sed -i '/^SOUNDLIB/s//XCOMM SOUNDLIB/' Imakefile || return 1
+ sed -i '/^SOUNDINC/s//XCOMM SOUNDINC/' Imakefile || return 1
+ sed -i '/VTWMLIBDIR/s/$(LIBDIR)\/twm/\/etc\/X11\/vtwm/' Imakefile || return 1
+ xmkmf || return 1
+ make || return 1
+ make DESTDIR=$startdir/pkg install || return 1
+ mkdir -p $startdir/pkg/usr/share/licenses/$pkgname
+ head -n 26 add_window.c > $startdir/pkg/usr/share/licenses/$pkgname/EH_MIT
+ head -n 20 applets.c > $startdir/pkg/usr/share/licenses/$pkgname/MIT
+ head -n 18 desktop.c > $startdir/pkg/usr/share/licenses/$pkgname/DE_ICSTM
+ head -n 24 gram.c > $startdir/pkg/usr/share/licenses/$pkgname/Bison_GPL
+ head -n 22 sound.c > $startdir/pkg/usr/share/licenses/$pkgname/DJHJ
+ cp contrib/nexpm/xpm.COPYRIGHT $startdir/pkg/usr/share/licenses/$pkgname/
+ chmod 644 $startdir/pkg/usr/share/licenses/$pkgname/*
}